| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::ximgproc::GuidedFilter Class Referenceabstract
Extended Image Processing » Filters

Interface for realizations of Guided Filter. More...

`#include <opencv2/ximgproc/edge_filter.hpp>`

Inheritance diagram for cv::ximgproc::GuidedFilter:

## Public Member Functions
virtual void | filter (InputArray src, OutputArray dst, int dDepth=-1)=0
| Apply Guided Filter to the filtering image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Interface for realizations of Guided Filter.

For more details about this filter see [99] .

## Member Function Documentation

## ◆ filter()

virtual void cv::ximgproc::GuidedFilter::filter | ( | InputArray | src,
|  | OutputArray | dst,
|  | int | dDepth = `-1`
| ) |  |
| pure virtual

Python:
| dst | = | cv.ximgproc_GuidedFilter.filter( | src[, dst[, dDepth]] | )

Apply Guided Filter to the filtering image.

Parameters

  src | filtering image with any numbers of channels.
  dst | output image.
  dDepth | optional depth of the output image. dDepth can be set to -1, which will be equivalent to src.depth().

The documentation for this class was generated from the following file:

- opencv2/ximgproc/edge_filter.hpp